Description

After joining a dbf table to the attribute table of a vector layer and

leaving "Cache join layer in virtual memory" not selected, the attribute

table is correct and the layer automatically enters in editing mode.

Nevertheless, toggling editing off does not save the layer with its new table:

if the layer is removed from the TOC ans loaded again, the newly joined fields

are gone.

Currently, the only way of consolidating the new attribute table is using Save As...

Agus

History

#1 - 2011-11-14 02:03 AM - Marco Hugentobler

The join function does not write joined tables to the original tables intentionally. 

However, it should probably notify the user that edits in the joined fields will be lost (or try to redirect the edits to the table where the field comes from)

#2 - 2011-11-18 09:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from 6 to Normal

I believe that after Marco explanation it should be possible to change subject and description of this ticket, eventually making it a features request to have

the warning added. Please leave feedback.

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2011-12-20 03:13 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#8 - 2014-09-26 01:02 AM - Denis Rouzaud

- Status changed from Feedback to Closed

#9 - 2014-09-26 01:02 AM - Denis Rouzaud

duplicate #6710
